#
# spec file for package kdemultimedia3 (Version 3.4.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  alsa alsa-devel audiofile audiofile-devel cdparanoia flac flac-devel glib2 glib2-devel kde3-devel-packages kdelibs3-arts lame libao libao-devel libmusicbrainz libmusicbrainz-devel libogg libogg-devel libsamplerate libsamplerate-devel libtheora libtheora-devel libtunepimp libtunepimp-devel libvorbis libvorbis-devel mad mad-devel mpg123 pkgconfig resmgr speex speex-devel taglib taglib-devel xine-devel xine-lib

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel alsa alsa-devel arts arts-devel audiofile autoconf automake binutils cdparanoia expat fam fam-devel flac flac-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext gettext-devel glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc lame libao libao-devel libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libmusicbrainz libmusicbrainz-devel libogg libogg-devel libpng libpng-devel libsamplerate libsamplerate-devel libstdc++-devel libtheora libtheora-devel libtiff libtiff-devel libtool libtunepimp libtunepimp-devel libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel mad mad-devel mpg321 openssl-devel pcre pcre-devel perl pkgconfig python qt3 qt3-devel resmgr rpm speex speex-devel taglib taglib-devel unsermake update-desktop-files xine-devel xine-lib xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         kdemultimedia3
License:      GPL
Group:        System/GUI/KDE
Summary:      KDE Multimedia Libraries
Version:      3.4.1
Release:      4.1
Url:          http://www.kde.org
Requires:     kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      kdemultimedia-%{version}.tar.bz2
Source1:      kscdrc
Source5:      kdemmbackends.tar.bz2
Patch0:       3_4_BRANCH.diff
Patch1:       lib64.diff
Patch2:       disable-examples.diff
Patch3:       parallel-build-fix.diff
Patch4:       kaudiocreator-defaults.diff
Patch6:       typedefined.patch
Patch9:       initial-preferences.diff
Patch11:      fix-aliasing.diff
Patch12:      fix-u64-conflict.diff
Patch13:      resmgr.diff
#Patch14:      disable-cddb-usage-by-default.diff
Patch15:      ansifix.diff
Patch50:      juk-kdemm-support.diff
Patch51:      kdemmbackends-3.4.diff
%define       DISTRIBUTABLE  0
Provides:     kdemultimedia kmulti

%description
This package contains the base libraries for KDE multimedia programs.
It also contains the kfile plugins for Konqueror (to show additional
information about multimedia files).



Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
Requires:     kdemultimedia3 kdemultimedia3-sound kdemultimedia3-video kdelibs3-devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/KDE
Provides:     kdemultimedia-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    The KDE Team <kde@kde.org>

%package arts
Summary:      KDEMM aRts support
Group:        System/GUI/KDE
Provides:     kdemultimedia3:/opt/kde3/%_lib/libarts_akode.so

%description arts
The package contains plugins to support arts via the KDEMM framework.



Authors:
--------
    The KDE Team <kde@kde.org>

%package arts-mad
Summary:      MPEG/MP3 support for aRts
Group:        System/GUI/KDE

%description arts-mad
Plugin modules for aRts to play mpeg files.



Authors:
--------
    The KDE Team <kde@kde.org>

%package mad
Summary:      MP3 support for KDE
Group:        System/GUI/KDE
Provides:     kdemultimedia3:/opt/kde3/%_lib/mcop/akodeMPEGPlayObject.mcopclass
Autoreqprov:  off
Requires:     mad
%ifarch x86_64 s390x ppc64
Provides:     libmpeg-0.3.0.so()(64bit)
%else
Provides:     libmpeg-0.3.0.so
%endif

%description mad
Plugins to support MP3 streams in Arts and KDE via the aKode framework.



Authors:
--------
    The KDE Team <kde@kde.org>

%package jukebox
# usesubdirs juk
Summary:      KDE Jukebox for MP3 and Ogg Vorbis Files
Group:        Productivity/Multimedia/Sound/Players
Provides:     juk
Obsoletes:    juk
# it does not really require it, but juk isn't really usable without
Requires:     kdemultimedia3-sound

%description jukebox
Juk the KDE Jukebox can handle a large number of MP3 or Ogg Vorbis
files. It has a very fast search and you can easily edit the title
information, even for multiple files at the same time. It can also
guess the title information based on file names or by its content with
MusicBrainz.



Authors:
--------
    The KDE Team <kde@kde.org>

%package mixer
# usesubdirs kmix
Summary:      KDE sound mixer
Group:        Productivity/Multimedia/Sound/Players
Provides:     kdemultimedia:/opt/kde2/bin/kmix
Provides:     kdemultimedia3:/opt/kde3/bin/kmix
Provides:     kdemultimedia3-sound:/opt/kde3/bin/kmix

%description mixer
This package includes applications for your soundcard:

kmix - to set all the channels of your soundcard and to define the
recording source



Authors:
--------
    The KDE Team <kde@kde.org>

%package CD
# usesubdirs kscd kaudiocreator
Summary:      KDE Audio CD Tools
Group:        System/GUI/KDE
Provides:     kdemultimedia:/opt/kde2/bin/kscd
Provides:     kdemultimedia3:/opt/kde3/bin/kscd
Provides:     kdemultimedia3:/opt/kde3/bin/kaudiocreator
Obsoletes:    kaudiocreator

%description CD
This package contains tools to play or read Audio CDs.

KsCD - The KDE CD Player KAudioCreator - A program to read a CD and
write it to the hard disk. It also provides a title editor. audiocd:/ -
A kio_slave, enabling Konqueror to show the contents of audio CDs and
to read the data.

All applications support CDDB which can be configured using the CDDB
control center module, also provided by this package.



Authors:
--------
    The KDE Team <kde@kde.org>

%package sound
# usesubdirs mpeglib mpeglib_artsplug audiofile_artsplugin
Summary:      KDE sound applications and plugins
Group:        Productivity/Multimedia/Sound/Players
Provides:     kdemultimedia3:/opt/kde3/bin/yaf-tplay

%description sound
This package includes applications for your soundcard:

artsbuilder - to setup complex filter rules for the arts daemon

several plugins to play all kind of medias with the kde multimedia
sound system (MP3, Ogg, Flac)



Authors:
--------
    The KDE Team <kde@kde.org>

%package midi
# usesubdirs kmid 
Summary:      KDE MIDI File Player
Group:        Productivity/Multimedia/Sound/Midi
Provides:     kdemultimedia3:/opt/kde3/bin/kmid

%description midi
This package includes: KMid  - plays MIDI files via the hardware
support on the sound card



Authors:
--------
    The KDE Team <kde@kde.org>

%package extra
# usesubdirs kaboodle krec arts
Summary:      Additional KDE Sound Applications
Group:        Productivity/Multimedia/Sound/Players

%description extra
This package includes applications for your soundcard:

artsbuilder - to setup complex filter rules for the aRts daemon
Kaboodle - a small player application for sound files KRec - a
recording tool. Records from any configured aRts input source.



Authors:
--------
    The KDE Team <kde@kde.org>

%package video
# usesubdirs noatun mpeglib 
Summary:      KDE Video Player
Group:        Productivity/Multimedia/Video/Players
Provides:     kdemultimedia kmulti
Provides:     kdemultimedia3:/opt/kde3/bin/noatun

%description video
This package contains the video player Noatun. Noatun is a very modular
player with a lot of plugins (have a look in the kdeaddons3-noatun
package).



Authors:
--------
    The KDE Team <kde@kde.org>

%package video-xine
# usesubdirs xine_artsplugin noatun/modules/simple
Summary:      Xine plugin for Noatun
Group:        Productivity/Multimedia/Video/Players

%description video-xine
The package provides a Xine plugin for Noatun. Xine is a very powerful
and complete video player library.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdemultimedia-%{version} 
%patch
%patch1
%patch2
%patch3
#%patch4
#%patch6
%patch9
%patch11
%patch12
%patch13
#%patch14
%patch15
%if %suse_version > 930
tar xfj %SOURCE5
%patch50
%patch51
%endif
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
export PKG_CONFIG_PATH=/opt/gnome/%_lib/pkgconfig/
export PATH=/opt/kde3/bin:$PATH
# alsa in kmid/TIMIDITY is broken atm, I should fix this, but ...
AUDIO="oss,alsa"
./configure \
  $configkde \
  --enable-audio=$AUDIO \
  --with-kscd-cdda \
  --disable-final \
  --enable-sdl
%if %suse_version < 920
# libtunepimp is too old on 9.1
# a proper configure check fails due to missing linking to libz
echo "#undef HAVE_MUSICBRAINZ" >> config.h
%endif
%ifarch %iZ86
  #
  # build xmm (SSE) first
  # glibc 2.2.3 or higher is needed
  #
  sed -e 's@#define INTEL.*@#undef INTEL@' config.h > config.h.non_xmm
  sed -e 's@.*#undef INTEL.*@#define INTEL 1@' config.h.non_xmm > config.h
%endif
  
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
install -m 0755 -d       $RPM_BUILD_ROOT/opt/kde3/share/config
%if %DISTRIBUTABLE
  rm $RPM_BUILD_ROOT/opt/kde3/%_lib/kde3/libkrecexport_mp3.*
  rm $RPM_BUILD_ROOT/opt/kde3/share/services/krec_exportmp3.desktop
%endif
%ifarch %iZ86
  #
  # move libs one level deeper to .../xmm/
  #
  LIB="${RPM_BUILD_ROOT}/opt/kde3/lib"
  mkdir -p "${LIB}/xmm"
  for i in ${LIB}/libmpeg.so ${LIB}/libmpeg-*.so \
           ${LIB}/libyaf*.so ${LIB}/libyaf*.so.? ${LIB}/libyaf*.so.?.?.? \
           ; do
       mv "$i" "${LIB}/xmm/"
  done
  #
  # build and install non-xmm libs
  #
  mv config.h.non_xmm config.h
  cd mpeglib
  make clean
  make 
  make DESTDIR=$RPM_BUILD_ROOT install
%endif
#
# move cddb directory outside /opt (possibly read-only mounted)
#
mkdir -p ${RPM_BUILD_ROOT}/var/cache/
rm -rf   ${RPM_BUILD_ROOT}/var/cache/cddb
# every KDE >= 3.1.1 doesn't have them, but remove them from 3.1 too
%suse_update_desktop_file krec           AudioVideo Recorder
%suse_update_desktop_file kmid           AudioVideo Midi
%suse_update_desktop_file artsbuilder    AudioVideo AudioVideoEditing
%suse_update_desktop_file artscontrol    AudioVideo AudioVideoEditing
%suse_update_desktop_file kmix           AudioVideo Mixer
%suse_update_desktop_file kaboodle       AudioVideo Player
%suse_update_desktop_file kaudiocreator  AudioVideo CD
%suse_update_desktop_file kscd           AudioVideo Player CD
%suse_update_desktop_file noatun         AudioVideo Player Video
%suse_update_desktop_file juk            AudioVideo Player Jukebox
%suse_update_desktop_file audiocd
#
# avoid double menus
#
rm -rf $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/desktop-directories
#
# we do not have NMM yet
#
rm -f $RPM_BUILD_ROOT/opt/kde3/share/services/kdemmbackends/nmm.desktop

%pre sound
if [ ! -e var/cache/cddb -a -d var/cache -a -d opt/kde3/share/apps/kscd/cddb -a ! -L opt/kde3/share/apps/kscd/cddb ]; then
   mv opt/kde3/share/apps/kscd/cddb var/cache/cddb
   chmod 1777 var/cache/cddb/*
fi
if [ ! -e var/cache/cddb -a -d var/cache -a -d opt/kde2/share/apps/kscd/cddb -a ! -L opt/kde2/share/apps/kscd/cddb ]; then
   mv opt/kde2/share/apps/kscd/cddb var/cache/cddb
   chmod 1777 var/cache/cddb/*
fi
if [ -d opt/kde3/share/apps/kscd/cddb -a ! -L opt/kde3/share/apps/kscd/cddb ]; then
   mv opt/kde3/share/apps/kscd/cddb opt/kde3/share/apps/kscd/cddb.REMOVE
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%post extra
%run_ldconfig

%postun extra
%run_ldconfig

%post video
%run_ldconfig

%postun video
%run_ldconfig

%post mixer
%run_ldconfig

%postun mixer
%run_ldconfig

%post midi
%run_ldconfig

%postun midi
%run_ldconfig

%post sound
%run_ldconfig

%postun sound
%run_ldconfig

%post CD
%run_ldconfig

%postun CD
%run_ldconfig

%files
%defattr(-,root,root)
%dir /opt/kde3/share/icons/locolor/*/apps
%dir /opt/kde3/share/icons/crystalsvg/*/apps
%dir /opt/kde3/share/doc/HTML/en/kcontrol
%dir /opt/kde3/share/mimelnk/interface
%dir /opt/kde3/share/config.kcfg
%dir /opt/kde3/share/icons/crystalsvg/128x128/actions
%dir /opt/kde3/share/icons/crystalsvg/scalable/actions
/opt/kde3/%_lib/kde3/kfile_*
/opt/kde3/%_lib/libakode.*
/opt/kde3/%_lib/libakode_mpc_decoder.*
/opt/kde3/%_lib/libakode_oss_sink.*
/opt/kde3/%_lib/libakode_src_resampler.*
/opt/kde3/%_lib/libakode_xiph_decoder.*
%if %suse_version > 900
/opt/kde3/%_lib/libakode_alsa_sink.*
/opt/kde3/%_lib/libakode_jack_sink.*
%endif
/opt/kde3/share/services/kfile_*
/opt/kde3/share/icons/crystalsvg/*/*/artsaudiomanager.*
/opt/kde3/share/icons/crystalsvg/*/*/artsenvironment.*
/opt/kde3/share/icons/crystalsvg/*/*/artsfftscope.*
/opt/kde3/share/icons/crystalsvg/*/*/artsmediatypes.*
/opt/kde3/share/icons/crystalsvg/*/*/artsmidimanager.*
/opt/kde3/share/icons/crystalsvg/*/*/artscontrol.*
%if %suse_version > 930
%dir /opt/kde3/share/services/kdemmbackends
/opt/kde3/%_lib/kde3/kdemm_akode.*
/opt/kde3/share/services/kdemmbackends/kdemm_akode.desktop

%files arts
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kdemm_arts.*
/opt/kde3/share/services/kdemmbackends/kdemm_arts.desktop
%endif
/opt/kde3/%_lib/libarts_akode.*
/opt/kde3/%_lib/mcop/akodeMPCPlayObject.mcopclass
/opt/kde3/%_lib/mcop/akodePlayObject.mcopclass
/opt/kde3/%_lib/mcop/akodeSpeexStreamPlayObject.mcopclass
/opt/kde3/%_lib/mcop/akodeVorbisStreamPlayObject.mcopclass
/opt/kde3/%_lib/mcop/akodeXiphPlayObject.mcopclass
/opt/kde3/%_lib/mcop/akodearts.mcopclass
/opt/kde3/%_lib/mcop/akodearts.mcoptype
%if %suse_version > 920

%files mad
%defattr(-,root,root)
%endif
/opt/kde3/%_lib/libakode_mpeg_decoder.*
/opt/kde3/%_lib/libmpeg*

%files arts-mad
%defattr(-,root,root)
/opt/kde3/bin/mpeglibartsplay
/opt/kde3/%_lib/libarts_mpeglib*
/opt/kde3/%_lib/libarts_splay.*
/opt/kde3/%_lib/mcop/akodeMPEGPlayObject.mcopclass
/opt/kde3/%_lib/mcop/MP3PlayObject.mcopclass

%files CD
%defattr(-,root,root)
/opt/kde3/bin/kaudiocreator
/opt/kde3/bin/kscd
/opt/kde3/bin/workman2cddb.pl
/opt/kde3/%_lib/kde3/kcm_audiocd.*
/opt/kde3/%_lib/kde3/kcm_cddb.*
/opt/kde3/%_lib/kde3/kio_audiocd.*
/opt/kde3/%_lib/kde3/libaudiocd_encoder_*
/opt/kde3/%_lib/libkcddb.*
/opt/kde3/%_lib/libaudiocdplugins.*
/opt/kde3/share/applications/kde/audiocd.desktop
/opt/kde3/share/applications/kde/kaudiocreator.desktop
/opt/kde3/share/applications/kde/kscd.desktop
/opt/kde3/share/applications/kde/libkcddb.desktop
/opt/kde3/share/apps/kaudiocreator
/opt/kde3/share/apps/kconf_update/kaudiocreator-libkcddb.upd
/opt/kde3/share/apps/kscd
/opt/kde3/share/apps/profiles
/opt/kde3/share/config.kcfg/libkcddb.kcfg
/opt/kde3/share/config.kcfg/kaudiocreator*
/opt/kde3/share/config.kcfg/audiocd_lame_encoder.kcfg
/opt/kde3/share/config.kcfg/audiocd_vorbis_encoder.kcfg
/opt/kde3/share/config.kcfg/kscd.kcfg
/opt/kde3/share/apps/kconf_update/audiocd.upd
/opt/kde3/share/apps/kconf_update/kaudiocreator-meta.upd
/opt/kde3/share/apps/kconf_update/upgrade-kaudiocreator-metadata.sh
/opt/kde3/share/apps/kconf_update/upgrade-metadata.sh
/opt/kde3/share/apps/kconf_update/kcmcddb-emailsettings.upd
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kscd
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kio_audiocd
/opt/kde3/share/icons/*/*/*/kaudiocreator.png
/opt/kde3/share/icons/*/*/*/kscd.png
/opt/kde3/share/mimelnk/text/xmcd.desktop
/opt/kde3/share/services/audiocd.protocol
/opt/kde3/share/apps/konqueror/servicemenus/audiocd_play.desktop

%files devel
%defattr(-,root,root)
/opt/kde3/include/*

%files extra
%defattr(-,root,root)
/opt/kde3/bin/arts*
/opt/kde3/bin/kaboodle
/opt/kde3/bin/krec
/opt/kde3/bin/midisend
/opt/kde3/%_lib/kde3/kcm_krec*
/opt/kde3/%_lib/kde3/krec.*
/opt/kde3/%_lib/kde3/libkaboodlepart.*
/opt/kde3/%_lib/kde3/libkrecexport_*
/opt/kde3/%_lib/libkdeinit_krec.*
/opt/kde3/share/applications/kde/arts*
/opt/kde3/share/applications/kde/kaboodle.desktop
/opt/kde3/share/applications/kde/krec.desktop
/opt/kde3/share/apps/arts*
/opt/kde3/share/apps/kaboodle
/opt/kde3/share/apps/kicker/applets/artscontrolapplet.desktop
/opt/kde3/share/apps/krec
/opt/kde3/share/icons/*/*/*/artsbuilderexecute.*
/opt/kde3/share/icons/*/*/*/kaboodle.*
/opt/kde3/share/icons/*/*/*/krec.*
/opt/kde3/share/icons/*/*/apps/artsbuilder.*
/opt/kde3/share/mimelnk/application/x-artsbuilder.desktop
/opt/kde3/share/services/kaboodle*
/opt/kde3/share/services/kcm_krec*
/opt/kde3/share/services/krec_export*
/opt/kde3/share/servicetypes/krec_exportitem.desktop
/opt/kde3/share/apps/kappfinder
%doc %lang(en) /opt/kde3/share/doc/HTML/en/artsbuilder
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kaboodle
%doc %lang(en) /opt/kde3/share/doc/HTML/en/krec

%files midi
%defattr(-,root,root)
/opt/kde3/bin/kmid
/opt/kde3/%_lib/kde3/libkmidpart.*
/opt/kde3/%_lib/libkmidlib.*
/opt/kde3/share/applications/kde/kmid.desktop
/opt/kde3/share/apps/kmid
/opt/kde3/share/icons/*/*x*/*/kmid.png
/opt/kde3/share/mimelnk/audio/x-karaoke.desktop
/opt/kde3/share/servicetypes/audiomidi.desktop

%files jukebox
%defattr(-,root,root)
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/bin/juk
/opt/kde3/share/applications/kde/juk.desktop
/opt/kde3/share/apps/juk
/opt/kde3/share/icons/*/*x*/*/juk.png
/opt/kde3/share/icons/*/*x*/*/juk_*.png
/opt/kde3/share/apps/konqueror/servicemenus/jukservicemenu.desktop
%doc %lang(en) /opt/kde3/share/doc/HTML/en/juk

%files sound
%defattr(-,root,root)
/opt/kde3/%_lib/libartsbuilder.*
/opt/kde3/%_lib/libartseffects.*
/opt/kde3/%_lib/libaudiofilearts.*
/opt/kde3/%_lib/libartsm*
/opt/kde3/%_lib/libartsgui*
/opt/kde3/%_lib/mcop/Arts/audiofilePlayObject.mcopclass
/opt/kde3/%_lib/mcop/Arts/ArtsBuilderLoader.mcopclass
/opt/kde3/%_lib/mcop/Arts/Button.mcopclass
/opt/kde3/%_lib/mcop/Arts/E*
/opt/kde3/%_lib/mcop/Arts/F*
/opt/kde3/%_lib/mcop/Arts/G*
/opt/kde3/%_lib/mcop/Arts/HBox.mcopclass
/opt/kde3/%_lib/mcop/Arts/L*
/opt/kde3/%_lib/mcop/Arts/M*
/opt/kde3/%_lib/mcop/Arts/Po*
/opt/kde3/%_lib/mcop/Arts/S*
/opt/kde3/%_lib/mcop/Arts/V*
/opt/kde3/%_lib/mcop/Arts/Widget.mcopclass
/opt/kde3/%_lib/mcop/artsgui.mcop*
/opt/kde3/%_lib/mcop/artsm*
/opt/kde3/%_lib/mcop/ExtraStereo*
/opt/kde3/%_lib/mcop/CDDAPlayObject.mcopclass
/opt/kde3/%_lib/mcop/NULLPlayObject.mcopclass
/opt/kde3/%_lib/mcop/OGGPlayObject.mcopclass
/opt/kde3/%_lib/mcop/SplayPlayObject.mcopclass
/opt/kde3/%_lib/mcop/WAVPlayObject.mcopclass
/opt/kde3/%_lib/mcop/audiofilearts.mcop*
/opt/kde3/%_lib/mcop/RawWriter.*
/opt/kde3/%_lib/mcop/VoiceRemoval.*
/opt/kde3/%_lib/mcop/artseffects.*

%files mixer
%defattr(-,root,root)
%dir /opt/kde3/share/apps/kicker
%dir /opt/kde3/share/apps/kicker/applets
/opt/kde3/bin/kmix*
/opt/kde3/%_lib/kde3/kmix*
/opt/kde3/%_lib/libkdeinit_kmix*
/opt/kde3/share/applications/kde/kmix*
/opt/kde3/share/autostart/restore_kmix_volumes.desktop
/opt/kde3/share/apps/kicker/applets/kmixapplet.desktop
/opt/kde3/share/apps/kmix
/opt/kde3/share/icons/*/*x*/*/kmix.png
/opt/kde3/share/services/kmixctrl_restore.desktop
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcontrol/kmixcfg
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kmi*

%files video
%defattr(-,root,root)
/opt/kde3/bin/noatun
/opt/kde3/%_lib/kde3/noatun*
/opt/kde3/%_lib/libkdeinit_noatun.*
/opt/kde3/%_lib/libnoatun.*
/opt/kde3/%_lib/libnoatunarts.*
/opt/kde3/%_lib/libnoatuncontrols.*
/opt/kde3/%_lib/libnoatuntags.*
/opt/kde3/%_lib/libwinskinvis.*
/opt/kde3/%_lib/libartscontrol*
/opt/kde3/%_lib/mcop/artsbuilder.mcop*
/opt/kde3/%_lib/mcop/Noatun
/opt/kde3/%_lib/mcop/noatunarts.*
/opt/kde3/%_lib/mcop/winskinvis.*
/opt/kde3/share/applications/kde/noatun.desktop
/opt/kde3/share/apps/noatun
/opt/kde3/share/apps/kconf_update/noatun*
/opt/kde3/share/icons/*/*/*/noatun.png
/opt/kde3/share/mimelnk/interface/x-winamp-skin.desktop
%doc %lang(en) /opt/kde3/share/doc/HTML/en/noatun

%files video-xine
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/videothumbnail.*
/opt/kde3/%_lib/libarts_xine.*
/opt/kde3/%_lib/mcop/xine*.mcopclass
/opt/kde3/share/apps/videothumbnail
/opt/kde3/share/services/videothumbnail.desktop

%changelog -n kdemultimedia3
* Tue May 31 2005 - adrian@suse.de
- fix build for released distributions
* Tue May 24 2005 - adrian@suse.de
- update to version 3.4.1
* Thu Apr 28 2005 - adrian@suse.de
- provide libmpeg-0.3.0.so manualy
* Thu Apr 14 2005 - adrian@suse.de
- update to current BRANCH
- fix compile of arts kdemm backend without videoplayer.
* Mon Apr 11 2005 - adrian@suse.de
- add kdelibs3-arts to nfb
* Fri Apr 08 2005 - adrian@suse.de
- move arts modules to -arts and -arts-mad subpackages
- add kdelibs3-arts to nfb
- kdemm-akode plugin defaults to auto now, which will be alsa in
  most cases
* Wed Apr 06 2005 - adrian@suse.de
- disable musicbrainz support for 9.1
* Fri Apr 01 2005 - adrian@suse.de
- use CDDB local cache only by default for privacy reasons
- add experimental kdemm framework backends for post 9.3
  * supporting akode and arts engines
  * TODO: fix the gstreamer engine code
- turn JuK into a kdemm application
* Thu Mar 17 2005 - adrian@suse.de
- remove unneeded music menu file, which caused double menu entries
  (#60382)
* Fri Mar 11 2005 - adrian@suse.de
- re-apply the parallel build fix
* Thu Mar 10 2005 - adrian@suse.de
- update to current branch
- fix split provides
* Wed Mar 09 2005 - adrian@suse.de
- avoid dependencies to main package from -mad subpackage
* Tue Mar 08 2005 - coolo@suse.de
- fix arts assertion (#65949)
* Sat Mar 05 2005 - adrian@suse.de
- update to version 3.4.0 final
* Tue Mar 01 2005 - coolo@suse.de
- adding tons of dependencies for parallel build (HEAD.diff)
* Mon Feb 28 2005 - adrian@suse.de
- add another resmgr open (found by Stefan Brns #64615)
* Sat Feb 26 2005 - adrian@suse.de
- update to version 3.4.0 RC 1
* Fri Feb 25 2005 - adrian@suse.de
- add resmgr support for kmix-oss
* Mon Feb 14 2005 - adrian@suse.de
- update from CVS
* Fri Feb 11 2005 - adrian@suse.de
- update from CVS
* Mon Feb 07 2005 - adrian@suse.de
- update to beta 2
* Tue Feb 01 2005 - adrian@suse.de
- update to current snapshot
- add speex support
- fix build for lib64
* Fri Jan 28 2005 - adrian@suse.de
- update to current snapshot
* Fri Jan 21 2005 - adrian@suse.de
- update to current snapshot
* Tue Jan 11 2005 - adrian@suse.de
- fix some dependencies accross the sub packages
* Sun Jan 09 2005 - adrian@suse.de
- update to 3.4 beta 1 final
- fix build for x86_64
* Thu Jan 06 2005 - coolo@suse.de
- update to 3.4 beta 1 (snapshot)
* Mon Jan 03 2005 - adrian@suse.de
- make dependency to libmad optional via -mad subpackage
* Wed Dec 08 2004 - adrian@suse.de
- update to official 3.4 alpha 1
* Mon Nov 29 2004 - adrian@suse.de
- update to version 3.3.2
* Wed Nov 17 2004 - adrian@suse.de
- add missing %%suse_update_desktop_file
* Tue Oct 12 2004 - adrian@suse.de
- update to version 3.3.1
* Mon Sep 20 2004 - adrian@suse.de
- update to current BRANCH
  * fixes for JuK
* Mon Sep 13 2004 - adrian@suse.de
- update to current branch
- disable kfile_theora again, it cause too many crashes atm.
* Fri Aug 27 2004 - adrian@suse.de
- update to current branch
- add theora kfile plugin (will be part of kdemultimedia 3.4 anyway)
* Tue Aug 17 2004 - adrian@suse.de
- reapply mana's patch
* Mon Aug 16 2004 - adrian@suse.de
- update to version 3.3.0 final
* Wed Aug 11 2004 - coolo@suse.de
- applying mana's patch for Mixer flags
* Tue Aug 10 2004 - adrian@suse.de
- update to version 3.3.0 RC2
* Thu Jul 22 2004 - schwab@suse.de
- Remove conflicting type declaration.
* Mon Jun 28 2004 - adrian@suse.de
- update to version 3.2.91
* Mon May 31 2004 - adrian@suse.de
- update to version 3.2.3
* Mon Apr 26 2004 - adrian@suse.de
- fix loading of libmp3lame.so on lib64 systems
* Tue Apr 20 2004 - adrian@suse.de
- fix build with new gcc/checks
* Wed Apr 14 2004 - adrian@suse.de
- update to version 3.2.2
* Tue Apr 06 2004 - adrian@suse.de
- close file descriptor on status check
  (prevents data disc locking)
* Fri Apr 02 2004 - adrian@suse.de
- create -mixer subpackage
  (kdemultimedia3-sound needs to be installed by default)
- add Requires: from -jukebox to -sound
* Wed Mar 24 2004 - adrian@suse.de
- fix wrong Provides/Obsoletes
  (kdemultimedia3 deinstalled kdemultimedia3-CD)
* Mon Mar 22 2004 - adrian@suse.de
- update to 3_2_BRANCH
  * quoating fixes in m4 macros
  * kio_audiocd fixes to create valid ogg files
  * more translations
* Tue Mar 09 2004 - coolo@suse.de
- fix another file conflict
* Mon Mar 08 2004 - adrian@suse.de
- fix file conflicts
* Sun Mar 07 2004 - adrian@suse.de
- move arts utilities to AudioVideoEditing menu
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
* Sun Feb 29 2004 - adrian@suse.de
- lower initial preference for kaboodle and noatun
* Sat Feb 21 2004 - adrian@suse.de
- fix some dependency issues
  /moving libs from -video to -sound
* Sat Feb 21 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- clean up neededforbuild line
* Tue Feb 17 2004 - adrian@suse.de
- fix outdated Categories
* Mon Feb 16 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- justify icons
* Mon Feb 02 2004 - adrian@suse.de
- fix build for 8.1
* Wed Jan 28 2004 - schwab@suse.de
- Fix use of kernel headers.
* Mon Jan 26 2004 - adrian@suse.de
- move some files around to solve wrong dependencies between packages
- create a -jukebox and a -CD sub package
- fix build for ia64
- general clean up
* Mon Jan 19 2004 - adrian@suse.de
- do only link the xine plugin against libxine with autoconf 2.59
  (thanks to Andreas Schwab for help)
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Sun Oct 05 2003 - adrian@suse.de
- update to snapshot 2003100510
* Mon Sep 29 2003 - adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Sat Sep 20 2003 - adrian@suse.de
- fix from Oliver Ries, kscd do not hold the cd device open
  anymore, if not needed. So other applications can access it.
* Mon Sep 15 2003 - uli@suse.de
- do not define __u64 in cdromAccess_Linux.cpp, fixes build on
  64-bit archs
* Thu Sep 11 2003 - adrian@suse.de
- fix from HEAD to fix kscd quit issues with Qt 3.2
- new tar ball with the build fix
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Fri Sep 05 2003 - adrian@suse.de
- justify Categories
* Wed Sep 03 2003 - adrian@suse.de
- fix dependencys
* Mon Sep 01 2003 - adrian@suse.de
- main package is back :/
  * kmix shall not get installed anymore by default
* Wed Aug 27 2003 - adrian@suse.de
- xanim got dropped, so aktion build is disabled as well now
* Mon Aug 25 2003 - adrian@suse.de
- fix compile with gcc 3.3.1
* Thu Aug 21 2003 - ro@suse.de
- fix typo in specfile
* Wed Aug 20 2003 - adrian@suse.de
- fix %%run_ldconfig calls
* Sun Aug 17 2003 - adrian@suse.de
- justify Categories
* Wed Aug 06 2003 - adrian@suse.de
- move some libs back, to resolve dependencies from other packages
* Tue Aug 05 2003 - adrian@suse.de
- move arts tools and kaboodle to -extra subpackage
* Mon Aug 04 2003 - adrian@suse.de
- fix Categories
* Fri Jul 25 2003 - adrian@suse.de
- update to version 3.1.3
- add Categories
* Sun Jun 15 2003 - coolo@suse.de
- package directories
* Tue May 27 2003 - adrian@suse.de
- fix file conflict between -video and -video-xine
* Mon May 26 2003 - adrian@suse.de
- fix build with Qt 3.2b1 and rpm4
- use $INSTALL_TARGET
* Thu May 08 2003 - adrian@suse.de
- update to version 3.1.2
  * aktion requires xanim now
* Wed Apr 30 2003 - adrian@suse.de
- move krec into -extra package
  (we use krecord as default, due to the number of bugreports
  where user do not understand how to use krec)
* Thu Apr 10 2003 - adrian@suse.de
- fix #neededforbuild for new xine packages
* Sun Mar 16 2003 - adrian@suse.de
- set kaudiocreator default from Lame -> Wav
- remove kscdrc with global /var/cache/cddb
* Tue Mar 11 2003 - adrian@suse.de
- update to version 3.1.1 second try
- fix file conflict between -video and -video-xine
* Mon Mar 03 2003 - adrian@suse.de
- update to version 3.1.1
- remove obsolete xine_artsplugin_update.diff
* Mon Mar 03 2003 - ro@suse.de
- added resmgr to neededforbuild
* Fri Feb 21 2003 - coolo@suse.de
- remove copyright problematic midi files (#21235)
* Tue Feb 04 2003 - adrian@suse.de
- fix dependencies
- add xine-devel to neededforbuild
* Mon Feb 03 2003 - adrian@suse.de
- add -video-xine package with xine_arts plugin
  * add patch from Ewald Snel to support 1.0 api
- apply 3_1_BRANCH patch
* Mon Jan 20 2003 - adrian@suse.de
- remove lame dependency
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
- Obsolete kaudiocreator
* Mon Jan 13 2003 - adrian@suse.de
- add lame to neededforbuild
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Sun Dec 15 2002 - adrian@suse.de
- fix build on non-i386 for older distributions
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Tue Nov 12 2002 - coolo@suse.de
- apply the audiocd patch of kdebase3 3.0 here now
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Sat Sep 07 2002 - adrian@suse.de
- fix Provides for updates from SuSE 7.3
* Wed Sep 04 2002 - adrian@suse.de
- add version/release tag in each sub package
- add kaboodle part again to let kaboodle start again, but let
  the desktop kpart file removed.
- move libmpeg to -sound, so -sound does not need the -video
  package anymore
* Tue Sep 03 2002 - coolo@suse.de
- removing the crashing kaboodle part (PR18641)
* Mon Aug 19 2002 - coolo@suse.de
- adding PreReq for > 8.0
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
* Wed Jul 24 2002 - adrian@suse.de
- drop timidity binary, same job is done by kmidi and it drops
  the dependency to xaw
- add %%run_ldconfig macros
* Thu Jul 18 2002 - adrian@suse.de
- fix file list
* Tue Jul 16 2002 - adrian@suse.de
- fix pre install script really
* Fri Jul 12 2002 - adrian@suse.de
- fix pre install script for 8.1
* Sat Jul 06 2002 - adrian@suse.de
- split package into -midi, -sound and -video
- use %%ix86
- move cddb data to /var/cache/cddb
* Tue Jun 25 2002 - adrian@suse.de
- update to version 3.0.2
* Sun Jun 09 2002 - ro@suse.de
- use update_admin and new common_options
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Tue May 07 2002 - meissner@suse.de
- %%_lib , --libdir fixes in the KDE buildscripts.
* Fri Apr 19 2002 - coolo@suse.de
- update to latest 3.0 branch (fixing translation problem)
* Thu Apr 11 2002 - coolo@suse.de
- updating to latest 3.0 branch (fixing gcc 3.1 issues)
* Mon Apr 08 2002 - ro@suse.de
- current autoconf uses CCASFLAGS not ASFLAGS
* Sun Apr 07 2002 - adrian@suse.de
- fix file list (missing mcopclass files)
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Thu Feb 07 2002 - adrian@suse.de
- update to final version of beta 2 tar ball
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
* Thu Jan 10 2002 - adrian@suse.de
- update to version 2.91.20020110
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Mon Jul 16 2001 - adrian@suse.de
- add SSE optimized libs
* Fri Jun 29 2001 - adrian@suse.de
- update 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- update 2.2alpha1
* Sun Apr 08 2001 - adrian@suse.de
- build additional libs with mmx support for i386
- add ogg vorbis support for SuSE 7.2
- add cdparanoia support
- disable alsa support for 7.0-ppc
* Fri Apr 06 2001 - adrian@suse.de
- go to current KDE_2_1_BRANCH again
  this should fix the last kcsd problems
-O2 for axp
* Fri Mar 30 2001 - adrian@suse.de
- go to current KDE_2_1_BRACNH
  this should fix kscd/freedb problems
  (thanks to Dirk F�sterling)
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Mar 05 2001 - adrian@suse.de
- drop again --with-alsa :-(
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Sat Feb 17 2001 - adrian@suse.de
- update to 2.1 post beta 2
  enable kmidi for testing
* Fri Jan 19 2001 - adrian@suse.de
- disable kmidi
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
  drop --with-alsa in configure call
* Mon Dec 18 2000 - adrian@suse.de
- fix icon file list
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Wed Nov 22 2000 - adrian@suse.de
- compile fix (--enable-final breaks kmidi)
* Tue Nov 21 2000 - adrian@suse.de
- fixed kmid build
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Fri Nov 03 2000 - adrian@suse.de
- fixed #neededforbuild
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Fri Aug 04 2000 - kukuk@suse.de
- Fixes for SPARC
* Mon Jul 24 2000 - adrian@suse.de
- update to second try of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Mon Jul 10 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- version 1.91; beta 2
